
Ruby - Bug #8137

r39819 以降 Process.kill(0, $$) が終了しない

03/21/2013 10:14 PM - hsbt (Hiroshi SHIBATA)

Status: Closed   

Priority: Normal   

Assignee: kosaki (Motohiro KOSAKI)   

Target version: 2.1.0   

ruby -v: ruby 2.1.0dev (2013-03-20 trunk 39842)

[x86_64-darwin12.3.0]

Backport:  

Description

r39819 以降、以下のコードが終了せずにデッドロックとなります。

$ ruby -e 'Process.kill(0, $$)'

1.9.3, 2.0.0 では正常に終了します。この影響により例えば以下のようなコードが動かなくなるので、デッドロックは回避するようにして頂けないでしょうか。

https://github.com/puppetlabs/puppet/blob/master/lib/puppet/util/pidlock.rb#L46

Associated revisions

Revision 5de144f3a56eaee430680bc83d80a8a3e8134fdc - 03/21/2013 02:17 PM - nobu (Nobuyoshi Nakada)

thread.c: fix deadlock

thread.c (ruby_kill): get rid of deadlock on signal 0.

[ruby-dev:47182] [Bug #8137]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39862 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 5de144f3 - 03/21/2013 02:17 PM - nobu (Nobuyoshi Nakada)

thread.c: fix deadlock

thread.c (ruby_kill): get rid of deadlock on signal 0.

[ruby-dev:47182] [Bug #8137]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@39862 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/21/2013 11:17 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r39862.

Hiroshi, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

thread.c: fix deadlock

thread.c (ruby_kill): get rid of deadlock on signal 0.
